ext {
    android = [
            applicationTestId: "com.shenghuoquan.business.debug",
            applicationId    : "com.shenghuoquan.business",
            versionCode      : 103,
            versionName      : "1.0.3",
            isApplication    : false,
    ]
    // 高德地图的key
    amap = [
            amap_debug_key  : '0b8dd2229f4568b508e51865e402e04a',
            amap_release_key: '9dc8e3fe44680c65de8dbfd808742b10',
    ]
    buildParams = [
            dev : [
                    API_URL: '"http://bp-dev.go2yd.com"',
            ],
            test: [
                    API_URL: '"http://bp-test.go2yd.com"',
            ],
            prod: [
                    API_URL: '"https://bp.go2yd.com"',
            ]
    ]
}

ext.dependencies = [
        // 公共依赖 目前全部依托BCommon组件做依赖传递 业务组件不需要直接引用
        publicImplementation     : [
                'androidx.core:core-ktx:$kotlin_version',
                'androidx.appcompat:appcompat:1.2.0',
                'com.google.android.material:material:1.2.1',
                'androidx.constraintlayout:constraintlayout:2.0.4',
                'androidx.fragment:fragment-ktx:1.3.0',
                'androidx.lifecycle:lifecycle-livedata-ktx:2.3.0',
                'androidx.lifecycle:lifecycle-extensions:2.2.0',
                'androidx.lifecycle:lifecycle-viewmodel-ktx:2.3.0',
                "androidx.recyclerview:recyclerview:1.1.0",

                // 一点内部SDK
                'com.yidian.android:CommonUtil:0.0.88',
                'com.yidian.android:nightmode:0.0.88',
                // 风控SDK
                'com.yidian.ftcomponents:ftdevicefinger:0.0.14',
                // http框架
                'com.yidian.framework.mobile:ydhttp:1.1.3-SNAPSHOT',
                'com.yidian.framework.mobile:ydutils:1.0.1-SNAPSHOT',
                // 磐石
                'com.yidian.framework.mobile:xdiamond:1.1.1',
                // 慧眼
                'com.yidian.framework.mobile.xinsight:xinsight:1.1.7',
                // NA页面栈
                'com.yidian.xpage:xpagenative:0.0.1',
                // 组件化架构
                deps.yac.core,
                deps.xarc.xbrid,
                deps.xarc.xbase,
                deps.xarc.xrouter,
                deps.xarc.xevent,

                // 第三方SDK
                // 屏幕适配 https://github.com/JessYanCoding/AndroidAutoSize
                'me.jessyan:autosize:1.2.1',
                // RecyclerView Adapter https://github.com/CymChad/BaseRecyclerViewAdapterHelper
                'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.4',
                // 图片选择 https://github.com/LuckSiege/PictureSelector
                'io.github.lucksiege:pictureselector:v2.7.3-rc05',
                // 图片压缩 https://github.com/zetbaitsu/Compressor
                'id.zelory:compressor:3.0.1',
                // Glide https://github.com/bumptech/glide
                'com.github.bumptech.glide:glide:4.12.0',
                // 日志 https://github.com/JakeWharton/timber
                'com.jakewharton.timber:timber:4.7.1',
                // 刷新 https://github.com/scwang90/SmartRefreshLayout
                'com.scwang.smart:refresh-layout-kernel:2.0.1',
                'com.scwang.smart:refresh-header-classics:2.0.1',
                'com.scwang.smart:refresh-footer-classics:2.0.1',
                // 权限 https://github.com/tbruyelle/RxPermissions
                'com.github.tbruyelle:rxpermissions:0.12',
                // RxAndroid https://github.com/ReactiveX/RxAndroid
                'io.reactivex.rxjava3:rxandroid:3.0.0',
                // RxJava https://github.com/ReactiveX/RxJava
                'io.reactivex.rxjava3:rxjava:3.0.9',
        ],
        // 私有依赖 B端自己使用的依赖（不输出给C端）只在B端使用的组件以implementation依赖 需要输出给C端的组件以compileOnly依赖
        privateImplementation    : [
                // 一点内部SDK
                // 应用升级SDK
                'com.yidian.pmcomponents:appupdate:0.0.8',

                // 第三方SDK
                // 友盟基础组件(必选)
                'com.umeng.umsdk:common:9.4.0',
                'com.umeng.umsdk:asms:1.4.0',
                // 友盟apm
                'com.umeng.umsdk:apm:1.4.1',
                // 友盟分享SDK核心库（使用U-Share必选）
                'com.umeng.umsdk:share-core:7.1.4',
                // 友盟分享面板核心库（使用U-Share必选）
                'com.umeng.umsdk:share-board:7.1.4',
                // 友盟分享模块
                'com.umeng.umsdk:share-qq:7.1.4',
                'com.umeng.umsdk:share-wx:7.1.4',
                'com.umeng.umsdk:share-sina:7.1.4',
                // PushSDK核心库
                'com.umeng.umsdk:push:6.3.3',
                // PushSDK必须依赖utdid库，所以需要加入对应依赖
                'com.umeng.umsdk:utdid:1.5.2.1',
                // httpdns支持库，必须添加
                'com.umeng.umsdk:alicloud-httpdns:1.3.2.3',
                'com.umeng.umsdk:alicloud-utils:2.0.0',
                'com.umeng.umsdk:alicloud_beacon:1.0.5',
                // 消息推送核心库，必须添加
                'com.umeng.umsdk:agoo-accs:3.4.2.7',
                // 消息推送网络核心库，必须添加
                'com.umeng.umsdk:agoo_networksdk:3.5.8',
                // 消息推送日志核心库，必须添加
                'com.umeng.umsdk:agoo_tlog:3.0.0.17',
                // 消息推送网络核心库，必须添加
                'com.umeng.umsdk:agoo_tnet4android:3.1.14.10',
                // (Ping++ 标准版 SDK) 必须添加
                'com.pingxx:pingpp-android:2.3.5',
                // 使用微信支付时添加,具体版本参考微信官方文档
                'com.tencent.mm.opensdk:wechat-sdk-android-without-mta:6.7.9'
        ],
        other                    : [
                ':CommonLib:BCommon'
        ],
        androidTestImplementation: [
                'androidx.test.ext:junit:1.1.2',
                'androidx.test.espresso:espresso-core:3.3.0'
        ],
        testImplementation       : 'junit:junit:4.13.1'
]





